Subject: FW: [Syslog] Preliminary syslog-transport-tls document - issue 3

From: Miao Fuyou <[email-masked]>
Date: Wed, 15 Mar 2006 18:09:59 +0800

Thanks for your quick response!

Comments inline!

> -----Original Message-----
> From: Rainer Gerhards [mailto:[email-masked]]
> Sent: Wednesday, March 15, 2006 5:56 PM
> To: Miao Fuyou
> Cc: [email-masked]
> Subject: RE: [Syslog] Preliminary syslog-transport-tls 
> document - issue 3
> 
> 
> Miao,
> 
> thanks for the great (and quick) work. I can not review it
> fully right now, but I have seen one issue that I would like 
> to comment immediately on. More comments follow later.
> 
> >    [Issue 3] The problem of CR LF is it can not process binary data
> >    well.  How to process Syslog signature/certificate message?
> 
> With the current status of syslog-protocol, you can NOT do
> octet-stuffing. The reason is that any character is valid 
> inside MSG and this includes the CR LF sequence. 
> 
> So we have two options:
> 
> 1. change -protocol to disallow CR LF
> 2. use byte-counting for framing in -tls
> 
> Option 1 has been discussed in the past and mostly been
> rejected. However, this is the first time that we have a real 
> standardization use case for excluding it. Currently existing 
> (non-standard) syslog/TCP uses CR LF (or lone LF) as record 
> delimiter. So it might be useful to take that route.
> 

It is possible that Syslog-sign co-exists with TLS transport, so I think
there is difficulty for disallowing CR LF. 

> Option 2 has the advantage of greater aplicability plus 
> enables the application developer to use more efficient 
> buffering (as the needed buffer space is known in advance).
> 
> I have no strong opinion which option is better, but I tend a 
> little bit to option 2.
> 
> Rainer
> 

_______________________________________________
Syslog mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/syslog